//
//  iPhoneViewController.h
//  scummvm
//
//  Created by DotEmu on 09/04/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <sys/time.h>
#import <engines/engine.h>
#import <engines/igob/gob.h>
#import <engines/igob/goblin.h>
#import <engines/igob/script.h>
#import <engines/igob/hotspots.h>
#import <engines/igob/game.h>
#import <UIKit/UIKit.h>
#import "hintViewController.h"
#import "menuigViewController.h"
#import "iphone_video.h"

@interface iPhoneViewController : UIViewController 
{
	//Interface
	hintViewController* _hintVC;
	menuigViewController* _menuigVC;
	
	//Gob attributes
	Gob::GobEngine* gg;
	
	AVAudioPlayer* menuSFXPlayer;
}
@property(nonatomic, retain) IBOutlet hintViewController * _hintVC;
@property(nonatomic, retain) IBOutlet menuigViewController * _menuigVC;

//ACTIONS
-(IBAction) escClickedDown;
-(IBAction) escClickedUp;
-(IBAction) helpClickedDown;
-(IBAction) menuButtonClicked:(id)sender;

//METHODS
-(void) showHintMenuDidEnd:(NSString *)animationID finished:(NSNumber *)finished context:(void *)context;
-(void) pauseGame;

//ACCESSORS
-(hintViewController*) getHintVC; 
-(void) setHintVC:(hintViewController*)iHintVC;
-(Gob::GobEngine*) getGobEngine;

@end
